<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10002
Name: ELGA CDA Dokument Entlassung Pflege
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10002-2013-11-07T000000">
   <title>ELGA CDA Dokument Entlassung Pflege</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10002
Context: hl7:ClinicalDocument
Item: (CDAEntlassbriefPflege)
-->

<rule context="hl7:ClinicalDocument"
         id="tmp-r-86123b94-9288-4264-9aaa-5ccbb1da6edb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDAEntlassbriefPflege): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDAEntlassbriefPflege): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDAEntlassbriefPflege): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDAEntlassbriefPflege): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDAEntlassbriefPflege): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3'])&gt;=1 ">(CDAEntlassbriefPflege): Element hl7:templateId[@root='1.2.40.0.34.11.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3'])&lt;=1">(CDAEntlassbriefPflege): Element hl7:templateId[@root='1.2.40.0.34.11.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'])&gt;=1 ">(CDAEntlassbriefPflege): Element hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'])&lt;=1">(CDAEntlassbriefPflege): Element hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:id)&lt;=1">(CDAEntlassbriefPflege): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:code[(@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:code[(@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:code[(@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CDAEntlassbriefPflege): Element hl7:code[(@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:title)&lt;=1">(CDAEntlassbriefPflege): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAEntlassbriefPflege): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDAEntlassbriefPflege): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDAEntlassbriefPflege): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:setId)&lt;=1">(CDAEntlassbriefPflege): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDAEntlassbriefPflege): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDAEntlassbriefPflege): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:dataEnterer)&lt;=1">(CDAEntlassbriefPflege): Element hl7:dataEnterer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDAEntlassbriefPflege): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDAEntlassbriefPflege): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']])&gt;=1 and not(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']])&lt;=1">(CDAEntlassbriefPflege): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']])&lt;=1">(CDAEntlassbriefPflege): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']])&lt;=1">(CDAEntlassbriefPflege): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']])&lt;=1">(CDAEntlassbriefPflege): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']])&lt;=1">(CDAEntlassbriefPflege): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]]/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]])&lt;=1">(CDAEntlassbriefPflege): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]])&gt;=1 and not(hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/@nullFlavor)">(CDAEntlassbriefPflege): Element hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="count(hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]])&lt;=1">(CDAEntlassbriefPflege): Element hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-392793ef-ccca-41d0-b2e5-ec91177434ff">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus dem Value Set ELGA_RealmCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-10d7a81e-d207-4c92-9708-0657abf74db3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-50ba6369-d8bf-4651-9001-93efc7b9ee60">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.34.11.3']|self::hl7:templateId[@root='1.2.40.0.34.11.3.0.1' or @root='1.2.40.0.34.11.3.0.2' or @root='1.2.40.0.34.11.3.0.3']|self::hl7:id|self::hl7:code[(@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:dataEnterer|self::hl7:custodian|self::hl7:informationRecipient|self::hl7:legalAuthenticator|self::hl7:authenticator|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]|self::hl7:inFulfillmentOf|self::hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]]|self::hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]|self::hl7:component)]"
         id="tmp-r-86123b94-9288-4264-9aaa-5ccbb1da6edb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10002-2013-11-07T000000.html"
              test="not(.)">(CDAEntlassbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]]/*[not(self::hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]])]"
         id="tmp-r-10650b90-0db9-4863-a44c-b156c72ef73f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]]/hl7:serviceEvent/*[not(self::hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]|self::hl7:effectiveTime|self::hl7:performer)]"
         id="tmp-r-1acbf6b2-9b96-4f46-8377-17c128b99132">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='GDLSTATAUF' and @codeSystem='1.2.40.0.34.5.21') or @nullFlavor]]]/hl7:serviceEvent/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-3627110c-1e15-443b-ba64-0fb397a742df">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/*[not(self::hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]])]"
         id="tmp-r-8f202ea7-76f9-41d9-954d-cde7539c99a5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/*[not(self::hl7:id|self::hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]|self::hl7:effectiveTime|self::hl7:responsibleParty|self::hl7:location)]"
         id="tmp-r-637d7a7f-6d32-4720-b277-db5bbda3fdb5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]/*[not(self::hl7:originalText)]"
         id="tmp-r-029d7a11-29c5-488a-9519-29439091fdee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-7e81d28f-e596-4ce1-b6a9-25ab4fc52f99">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:responsibleParty/*[not(self::hl7:assignedEntity)]"
         id="tmp-r-0d30aaa9-f311-4bc5-8fa1-7a2a74c19ea2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:responsibleParty/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-0c5baeb5-d3ba-416c-803a-af5cd410cfe8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:responsibleParty/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-4d63ad28-f16d-45a0-8302-ca25f583e443">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:responsibleParty/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-6e2bcae9-c083-47bf-84cd-08c42edf5f9a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:location/*[not(self::hl7:healthCareFacility)]"
         id="tmp-r-fa13b456-43b2-4d19-b81a-a1d36905cd50">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5.2.90006-2014-01-05T000000.html"
              test="not(.)">(EncounterLocation): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/*[not(self::hl7:serviceProviderOrganization)]"
         id="tmp-r-bd9f9a28-3482-4a5d-a9d1-89be36b1c7fd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5.2.90006-2014-01-05T000000.html"
              test="not(.)">(EncounterLocation): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or @nullFlavor]]]/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-7115d789-a0ee-40c3-a1ad-062551e2e845">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5.2.90006-2014-01-05T000000.html"
              test="not(.)">(EncounterLocation): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/*[not(self::hl7:structuredBody|self::hl7:nonXMLBody)]"
         id="tmp-r-2a94f7a6-4aad-44af-9b1b-aa1cfc05f261">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.3']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.4']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.5']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.6']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.7']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.9']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.10' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.20.2.4']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.11']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.12']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]]|self::hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.6']|self::hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.15']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.5']]]|self::hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.16']|self::hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.17']|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.34' or @root='2.16.840.1.113883.10.20.1.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.3']]])]"
         id="tmp-r-79827bc6-f6ce-4237-ae7d-aec249bb4085">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']])]"
         id="tmp-r-7a1596f6-8caf-4206-924f-6177bb635015">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.1']|self::hl7:code[(@code='BRIEFT' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]])]"
         id="tmp-r-62e41c07-665a-4110-9379-04502135f2f8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]]/*[not(self::hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']])]"
         id="tmp-r-25cc60ef-8618-4ba3-bbe1-d306125bc2b9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]]/hl7:observationMedia/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.3.2']|self::hl7:value)]"
         id="tmp-r-e2f1e733-4f1e-4c10-ba5b-b97d64178ec4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.1']])]"
         id="tmp-r-26317d00-0535-460c-8b4b-05985d319c76">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.1']|self::hl7:code[(@code='PFDIAG' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:entry)]"
         id="tmp-r-e8712327-c925-42e2-ab9b-4dd94940e70b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']])]"
         id="tmp-r-202d89e6-9d88-497c-af26-f97c4a277f0c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.2']|self::hl7:code[(@code='PFDIAG' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]])]"
         id="tmp-r-0e1b4b6c-4728-4425-b247-8e5b64fbd411">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]]/*[not(self::hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']])]"
         id="tmp-r-a05c2f01-2f23-43d4-b20c-c95535f5bf6f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]]/hl7:act/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.3.1']|self::hl7:templateId[@root='1.2.40.0.34.11.1.3.5']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']|self::hl7:id|self::hl7:code|self::hl7:statusCode[@code='active']|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5' or @root='2.16.840.1.113883.10.20.1.28']]])]"
         id="tmp-r-a588bdfb-951d-4b89-8158-22f57668ff29">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]]/hl7:act/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-c704f873-6ea0-47b2-85a6-dc559f1cb158">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5' or @root='2.16.840.1.113883.10.20.1.28']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5' or @root='2.16.840.1.113883.10.20.1.28']])]"
         id="tmp-r-b32c176b-b622-4d2e-842a-b9c44786a017">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5' or @root='2.16.840.1.113883.10.20.1.28']]]/hl7:observation/*[not(self::hl7:code[@code='282291009']|self::hl7:value|self::hl7:templateId[@root='1.2.40.0.34.11.1.3.6']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.28']|self::hl7:id|self::hl7:text|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime)]"
         id="tmp-r-d12c4787-1985-44f5-b8af-38802063e962">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5' or @root='2.16.840.1.113883.10.20.1.28']]]/hl7:observation/hl7:code[@code='282291009']/*[not(self::hl7:originalText)]"
         id="tmp-r-d4c76336-1866-48de-bae2-db8b691a5cde">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5' or @root='2.16.840.1.113883.10.20.1.28']]]/hl7:observation/hl7:value/*[not(self::hl7:originalText|self::hl7:translation)]"
         id="tmp-r-146d9da7-49b2-4282-a141-452c35bb4a5b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.1' or @root='1.2.40.0.34.11.1.3.5' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' or @root='2.16.840.1.113883.10.20.1.27']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.5' or @root='2.16.840.1.113883.10.20.1.28']]]/hl7:observation/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-e9e94da2-13a1-4511-b216-1be432bf2384">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.3']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.3']])]"
         id="tmp-r-58ceba69-5f9d-496c-b24e-aa5650a1c76a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.3']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.3']|self::hl7:code[(@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-3e38f86a-213a-4f06-a306-8d622a023b12">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.4']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.4']])]"
         id="tmp-r-3644dd7b-5265-444c-96b5-11475091116b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.4']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.4']|self::hl7:code[(@code='PFKLEI' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-2fbbd2d2-e8f7-41aa-a778-d7f5d062d8ea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.5']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.5']])]"
         id="tmp-r-32a8bc36-25fc-4970-abcc-d76d4fb01e1d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.5']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.5']|self::hl7:code[(@code='PFERN' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-05aa8e66-70ff-475c-ab83-34a99337bcbf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.6']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.6']])]"
         id="tmp-r-62145b87-52fc-4b23-88d8-2cabf9b43fc2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.6']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.6']|self::hl7:code[(@code='PFAUS' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-e0e1f0b3-6bbe-4ca8-bf92-6b7fdf4fc806">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.7']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.7']])]"
         id="tmp-r-a021b3f1-9209-421f-aba8-d967ff8d95e9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.7']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.7']|self::hl7:code[(@code='PFHAUT' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-ff9cc2a7-880d-4c52-b673-62f1f669b531">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.8']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.8']])]"
         id="tmp-r-e9096643-62fa-43e8-ba16-eef21d64486a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.8']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.8']|self::hl7:code[(@code='PFATM' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-ff56a910-c201-460c-9d4a-ca0f56e522ee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.9']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.9']])]"
         id="tmp-r-3c66b1d5-04be-4db5-b6bb-f6e8cc024532">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.9']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.9']|self::hl7:code[(@code='PFSCHL' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-82161984-5d98-4441-82b7-546b104fe891">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.10' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.20.2.4']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.10' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.20.2.4']])]"
         id="tmp-r-aff79545-c218-42a4-b88a-2b32b93f717c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.10' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.20.2.4']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.10']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.20.2.4']|self::hl7:code[(@code='38212-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-2a5ccd2b-5e1e-4cd4-b554-a08711419065">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.11']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.11']])]"
         id="tmp-r-fd4f8435-f77f-4fc8-a504-6c2991a5fde1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.11']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.11']|self::hl7:code[(@code='PFORIE' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-99bf6441-7b73-462e-ae3d-181f6eecad38">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.12']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.12']])]"
         id="tmp-r-fd61b3ae-d8af-4f72-8494-51000ef56c0a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.12']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.12']|self::hl7:code[(@code='PFSOZV' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-3e8235fa-e739-40dc-bdbb-2c9d8737e8f2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']])]"
         id="tmp-r-3e8c6e9f-a66c-4c7f-898e-fefb38a514e9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.13']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.13']|self::hl7:code[(@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-543c571b-eebf-496d-ab7d-64bde11e0565">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']])]"
         id="tmp-r-99aed1f8-1ab0-429c-92d1-3664eb2667dd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.14']|self::hl7:code[(@code='PFROLL' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])]"
         id="tmp-r-8df63655-b7e4-46dc-8b7a-bdf502ee8e8e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.6']/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']])]"
         id="tmp-r-28847197-7ff8-4d6d-a1e0-9b92fc0d3741">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.6']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.6' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.6']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']|self::hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry)]"
         id="tmp-r-a4462453-f3f1-41cf-973f-e3608a24f82c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.7' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']])]"
         id="tmp-r-93303c44-ab82-4755-a7c5-d64a8eb4893d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.7' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.7']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']|self::hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.40.0.34.11.1.3.3' or @root='2.16.840.1.113883.10.20.1.32' or @root='2.16.840.1.113883.10.20.1.35' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']]])]"
         id="tmp-r-b90d39eb-1e9b-485c-9c1a-204e73cac2c0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.7' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.40.0.34.11.1.3.3' or @root='2.16.840.1.113883.10.20.1.32' or @root='2.16.840.1.113883.10.20.1.35' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.2.40.0.34.11.1.3.3' or @root='2.16.840.1.113883.10.20.1.32' or @root='2.16.840.1.113883.10.20.1.35' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']])]"
         id="tmp-r-688b7d56-1a4b-451a-84e1-746fe24a860e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.7' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.40.0.34.11.1.3.3' or @root='2.16.840.1.113883.10.20.1.32' or @root='2.16.840.1.113883.10.20.1.35' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']]]/hl7:organizer/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.3.3']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.32']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.35']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']|self::hl7:id|self::hl7:code[(@code='46680005' and @codeSystem='2.16.840.1.113883.6.96')]|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime|self::hl7:component[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' or @root='2.16.840.1.113883.10.20.1.31']]])]"
         id="tmp-r-ad50b49c-56a4-4c14-9846-44b8408ff678">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.7' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.40.0.34.11.1.3.3' or @root='2.16.840.1.113883.10.20.1.32' or @root='2.16.840.1.113883.10.20.1.35' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' or @root='2.16.840.1.113883.10.20.1.31']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' or @root='2.16.840.1.113883.10.20.1.31']])]"
         id="tmp-r-f61c7877-c3e1-4c11-959e-0d086cf26bc9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.7' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.40.0.34.11.1.3.3' or @root='2.16.840.1.113883.10.20.1.32' or @root='2.16.840.1.113883.10.20.1.35' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' or @root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.3.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']|self::hl7:id|self::hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2710-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8310-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8306-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8287-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:text|self::hl7:statusCode[@code='completed']|self::hl7:value)]"
         id="tmp-r-af5f576a-fb56-477d-add6-58f275a35e37">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.7' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.40.0.34.11.1.3.3' or @root='2.16.840.1.113883.10.20.1.32' or @root='2.16.840.1.113883.10.20.1.35' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' or @root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation/hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2710-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8310-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8306-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8287-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')]/*[not(self::hl7:originalText)]"
         id="tmp-r-ccfbff9f-46e1-4e35-8025-a2226b28a8d3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.1.2.7']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.7' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.25' or @root='2.16.840.1.113883.10.20.1.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.40.0.34.11.1.3.3' or @root='2.16.840.1.113883.10.20.1.32' or @root='2.16.840.1.113883.10.20.1.35' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.1.3.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' or @root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-72b8b2b0-6977-4c4d-95cc-3045fbf6ff05">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.15']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.15']])]"
         id="tmp-r-dac54490-06d3-47a1-ada5-be43922b12bf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.15']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.15']|self::hl7:code[(@code='PFMED' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-36eae7eb-6f1a-4ee6-8902-3d8e1b240541">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.5']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.5']])]"
         id="tmp-r-51b3a7df-e142-4f6e-824e-c2f709aa87f9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.5']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.5']|self::hl7:code[(@code='ANM' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-1f1ec725-3a8c-4ef1-aaee-f71d301e236c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.16']/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.16' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']])]"
         id="tmp-r-f6c579fa-70b8-42a5-aa1a-25f9c96e28b9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.16']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.16' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.16']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32']|self::hl7:code[(@code='8650-4' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry)]"
         id="tmp-r-fbe51594-abc3-49b3-9044-9742f46ca862">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.17']/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.17' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']])]"
         id="tmp-r-31c3646b-bfb5-40b1-9fd5-24d2c81b8d7d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.17']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.17' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.2.17']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32']|self::hl7:code[(@code='8650-4' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]])]"
         id="tmp-r-61de1a17-4844-4ee1-aabe-5c0f0f95e8d1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.17']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.17' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]]/*[not(self::hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']])]"
         id="tmp-r-80c544d6-f899-4679-8ad8-b838f2d3d0b4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.17']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.17' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]]/hl7:act/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.3.3.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']|self::hl7:id|self::hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')]|self::hl7:text|self::hl7:statusCode[@code='normal']|self::hl7:effectiveTime)]"
         id="tmp-r-db8600a6-c995-4206-ac5b-8580cc8abe8b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.17']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.17' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]]/hl7:act/hl7:code[(@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28')]/*[not(self::hl7:originalText)]"
         id="tmp-r-4c73622b-c43e-476b-92fb-e7142d5ba72a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.17']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.17' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]]/hl7:act/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-0a68fc70-75e4-434d-befc-060790497c06">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.2.40.0.34.11.3.2.17']/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.17' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.32']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.3.3.2' or @root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']]]/hl7:act/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-213f3b15-4b6a-4bfe-861d-fb7ea7673146">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.34' or @root='2.16.840.1.113883.10.20.1.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.34' or @root='2.16.840.1.113883.10.20.1.1']])]"
         id="tmp-r-7d5def97-f0ea-4b7c-8da0-1be684f66744">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.4' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.34' or @root='2.16.840.1.113883.10.20.1.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.1']|self::hl7:code[(@code='42348-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-e04c064c-9fef-41b2-a09c-2c8a1b4ac050">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']])]"
         id="tmp-r-02c23031-389a-4839-b2fd-587af5013121">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.2']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.2']|self::hl7:code[(@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-02cc19c0-5f85-4692-a3ee-c8ec6bda483b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.3']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.3']])]"
         id="tmp-r-543db814-d53f-4c3f-8a38-dd087603c392">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.3']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.3']|self::hl7:code[(@code='BEIL' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.1']]])]"
         id="tmp-r-d5657b75-1786-485d-b848-2b9201a7bd27">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.3']]]/hl7:section/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.1']]]/*[not(self::hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.1']])]"
         id="tmp-r-40bec0aa-0f18-458c-8da0-f02308293fd4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.3']]]/hl7:section/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.1']]]/hl7:observationMedia/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.3.1']|self::hl7:value)]"
         id="tmp-r-f12cd15d-990f-4b84-b372-842563817049">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:nonXMLBody/*[not(self::hl7:text)]"
         id="tmp-r-c45acab0-2a7f-4391-887d-73742c4fa1f5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.3-2014-01-05T000000.html"
              test="not(.)">(EntlassungsbriefPflege): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
