<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10004
Name: ELGA CDA Dokument Befund Bildgebende Diagnostik
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10004-2013-10-16T000000">
   <title>ELGA CDA Dokument Befund Bildgebende Diagnostik</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10004
Context: hl7:ClinicalDocument
Item: (CDABildiag)
-->

<rule context="hl7:ClinicalDocument"
         id="tmp-r-e5d4ebfc-c903-4f65-9a05-937f48401b3b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDABildiag): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDABildiag): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDABildiag): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDABildiag): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDABildiag): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDABildiag): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&gt;=1 ">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&lt;=1">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.5'] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:templateId[@root='1.2.40.0.34.11.5.0.1']|hl7:templateId[@root='1.2.40.0.34.11.5.0.3'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="$elmcount&lt;=1">(CDABildiag): Auswahl (hl7:templateId[@root='1.2.40.0.34.11.5.0.1'] oder hl7:templateId[@root='1.2.40.0.34.11.5.0.3']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDABildiag): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:id)&lt;=1">(CDABildiag): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CDABildiag): Element hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CDABildiag): Element hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDABildiag): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:title)&lt;=1">(CDABildiag): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDABildiag): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDABildiag): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDABildiag): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDABildiag): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDABildiag): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDABildiag): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDABildiag): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:setId)&lt;=1">(CDABildiag): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDABildiag): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDABildiag): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDABildiag): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDABildiag): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDABildiag): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:dataEnterer)&lt;=1">(CDABildiag): Element hl7:dataEnterer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDABildiag): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDABildiag): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDABildiag): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDABildiag): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']])&gt;=1 and not(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/@nullFlavor)">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/@nullFlavor)">(CDABildiag): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]])&lt;=1">(CDABildiag): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:relatedDocument)&lt;=1">(CDABildiag): Element hl7:relatedDocument kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:authorization)=0">(CDABildiag): Element hl7:authorization DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='AMB' and @codeSystem='2.16.840.1.113883.5.4') or (@code='EMER' and @codeSystem='2.16.840.1.113883.5.4') or (@code='HH' and @codeSystem='2.16.840.1.113883.5.4') or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ACUTE' and @codeSystem='2.16.840.1.113883.5.4') or (@code='NONAC' and @codeSystem='2.16.840.1.113883.5.4') or (@code='VR' and @codeSystem='2.16.840.1.113883.5.4')]]])&lt;=1">(CDABildiag): Element hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='AMB' and @codeSystem='2.16.840.1.113883.5.4') or (@code='EMER' and @codeSystem='2.16.840.1.113883.5.4') or (@code='HH' and @codeSystem='2.16.840.1.113883.5.4') or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ACUTE' and @codeSystem='2.16.840.1.113883.5.4') or (@code='NONAC' and @codeSystem='2.16.840.1.113883.5.4') or (@code='VR' and @codeSystem='2.16.840.1.113883.5.4')]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-f20c8cb5-8709-4af0-b5ac-16952ee19bf3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus dem Value Set ELGA_RealmCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-ec78954a-75b8-417b-80bc-aff5e338c071">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-c256bcc6-0134-4d3f-bb8e-fe9aac37bb9b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.34.11.5']|self::hl7:templateId[@root='1.2.40.0.34.11.5.0.1']|self::hl7:templateId[@root='1.2.40.0.34.11.5.0.3']|self::hl7:id|self::hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:dataEnterer|self::hl7:custodian|self::hl7:informationRecipient|self::hl7:legalAuthenticator|self::hl7:authenticator|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]|self::hl7:inFulfillmentOf|self::hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]|self::hl7:relatedDocument|self::hl7:authorization|self::hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='AMB' and @codeSystem='2.16.840.1.113883.5.4') or (@code='EMER' and @codeSystem='2.16.840.1.113883.5.4') or (@code='HH' and @codeSystem='2.16.840.1.113883.5.4') or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ACUTE' and @codeSystem='2.16.840.1.113883.5.4') or (@code='NONAC' and @codeSystem='2.16.840.1.113883.5.4') or (@code='VR' and @codeSystem='2.16.840.1.113883.5.4')]]]|self::hl7:component)]"
         id="tmp-r-e5d4ebfc-c903-4f65-9a05-937f48401b3b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="not(.)">(CDABildiag): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/*[not(self::hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']])]"
         id="tmp-r-ef852461-c1e6-4367-8d2e-a9b5c63b4f2d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/*[not(self::hl7:code[@codeSystem='1.2.40.0.34.5.38']|self::hl7:effectiveTime|self::hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']])]"
         id="tmp-r-2209ffd3-2dea-47d1-bdb6-7357a4c189a0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-df55e678-51e3-4479-b337-1599683b9415">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])]"
         id="tmp-r-b331166d-8590-4b06-82c6-89de24726ad1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/*[not(self::hl7:structuredBody)]"
         id="tmp-r-6d73bcef-59c7-4674-b277-965f3fe2392b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]]|self::hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]])]"
         id="tmp-r-890f2416-a5b4-4330-a0ca-1f6a2c552f60">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/*[not(self::hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']])]"
         id="tmp-r-47f5e022-39ce-4f69-9364-900805f61558">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']|self::hl7:code[(@code='121181' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]])]"
         id="tmp-r-dce40245-5b3a-4621-8deb-d96f699eb7a0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']])]"
         id="tmp-r-3d928437-538b-45b9-91dd-1cfaea67d055">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']|self::hl7:id|self::hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:text|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]])]"
         id="tmp-r-2902bed3-ad63-4930-90e3-08e8887d6a98">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/*[not(self::hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]])]"
         id="tmp-r-323641df-ba9b-457d-b449-79739f2d3a0d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/*[not(self::hl7:id|self::hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:text|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]])]"
         id="tmp-r-cfcf7e0c-7d80-4388-a30b-56a9ff93e940">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:code/*[not(self::hl7:qualifier)]"
         id="tmp-r-86d2907b-e6c3-4aa5-bea4-7b695b3e3d28">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:code/hl7:qualifier/*[not(self::hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:value[@codeSystem='1.2.840.10008.2.16.4'])]"
         id="tmp-r-4f2998ec-2a8d-4d0b-832c-8a982e6478ed">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]/*[not(self::hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']])]"
         id="tmp-r-f97491a5-282e-46d7-97a9-75fe8774fd21">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]/hl7:observation/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']|self::hl7:id|self::hl7:code[@codeSystem='1.2.840.10008.2.6.1']|self::hl7:text|self::hl7:effectiveTime)]"
         id="tmp-r-685818d1-7931-463c-a38f-e23120101576">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]/hl7:observation/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-f6e7f643-91e3-4bb6-9793-7b89079c71e3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']])]"
         id="tmp-r-99db7c06-b135-45be-8503-849810f894d8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.1']|self::hl7:code[(@code='BRIEFT' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]])]"
         id="tmp-r-5cfc07cf-c7a0-41b4-be01-ec290c43f7d9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]]/*[not(self::hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']])]"
         id="tmp-r-caf771a3-428b-4eac-a3b6-ffc578dad0aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]]/hl7:observationMedia/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.3.2']|self::hl7:value)]"
         id="tmp-r-390187b0-bfb0-4f5b-9724-f7d1580389e3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']])]"
         id="tmp-r-c622ac14-f276-4077-b7d4-430847d8b749">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.1']|self::hl7:code[(@code='55115-0' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-9f993c43-2bb5-42da-9bc4-6f9bdcb3ebb0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']])]"
         id="tmp-r-ecf1944f-22e5-4d62-9137-15cf2cea9b14">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.2']|self::hl7:code[(@code='11329-0' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-4e59d7fb-3e8b-4cc9-837c-fb4b09428747">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']])]"
         id="tmp-r-789ede96-3c7f-4019-a149-2d37b8003795">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.3']|self::hl7:code[(@code='18785-6' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-00077c5d-b416-4271-ad90-c3d97f37b354">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']])]"
         id="tmp-r-23ac76af-1384-46ab-9498-033011344d65">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.4']|self::hl7:code[(@code='55108-5' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-71a2e710-ba0f-40dd-81d5-f624eefe06fe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']])]"
         id="tmp-r-a47948ef-2871-42dc-a5a9-970023cd8096">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.5']|self::hl7:code[(@code='55111-9' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-5e57589c-6ab5-4b24-81f5-bf7127438c72">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']])]"
         id="tmp-r-4fe1c9a5-0705-488c-b57f-bdac0b36de00">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.6']|self::hl7:code[(@code='55114-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-1072a870-c581-43ec-99a6-92fa65b4522b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']])]"
         id="tmp-r-422c9827-0fb8-4aca-99e4-b9260ce8e94f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.7']|self::hl7:code[(@code='18834-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-71fd863c-78be-49d6-9cf7-1f792fc6795b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']])]"
         id="tmp-r-8c2bd6b7-c633-451a-930c-38e393968565">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.8']|self::hl7:code[(@code='55109-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-2e9c6823-6eed-4eab-b311-cc745ed3cf6a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']])]"
         id="tmp-r-abc8c2af-655e-4da5-8eb6-ecc81e3164ec">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.9']|self::hl7:code[(@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]])]"
         id="tmp-r-456e7cde-b2ef-4719-9971-3eb3de7deb6a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]/*[not(self::hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']])]"
         id="tmp-r-e1161a7c-7565-4708-b14e-475f6856d30e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]/hl7:observation/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']|self::hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:value)]"
         id="tmp-r-d1f088a7-d745-40af-8597-3b8be5ebd631">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]/hl7:observation/hl7:value/*[not(self::reference)]"
         id="tmp-r-355e238e-0bf8-4d72-9c63-99036c8fba6d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']])]"
         id="tmp-r-430596d8-6ca4-460c-a76e-31484a695378">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]/hl7:observation/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.3.1']|self::hl7:code[(@code='36625-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed']|self::hl7:value[(@code='II.AC.a' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.1' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.2' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.3' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.4' and @codeSystem='1.2.40.0.34.5.49') or (@code='MA.II.A.5.4A' and @codeSystem='1.2.40.0.34.5.49') or (@code='MA.II.A.5.4B' and @codeSystem='1.2.40.0.34.5.49') or (@code='MA.II.A.5.4C' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.5' and @codeSystem='1.2.40.0.34.5.49') or (@code='MA.II.A.5.6' and @codeSystem='1.2.40.0.34.5.49')])]"
         id="tmp-r-97929673-7ee3-49ca-9451-74a0fa4018c6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]/hl7:observation/hl7:text/*[not(self::reference)]"
         id="tmp-r-aa96dd9f-338b-44ca-83a8-9ebf0dc235bf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']])]"
         id="tmp-r-e8daf7af-876b-4db4-bb41-4c41c7d0a039">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.10']|self::hl7:code[(@code='55112-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-db7040fe-8ee7-4adc-81a9-702f826e33e2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']])]"
         id="tmp-r-30e05f47-1e80-4309-bc70-a217bd6212b9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.11']|self::hl7:code[(@code='19005-8' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-603dd422-d3c1-4658-89e7-bb5e1f1ad026">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']])]"
         id="tmp-r-56a37f8a-cf2d-4592-b60a-43831dc907d5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.12']|self::hl7:code[(@code='55110-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-1a1228f1-2123-4157-ba22-258ce4a7b74e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']])]"
         id="tmp-r-e2f41cf2-6366-47aa-b866-2613c53e9456">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.13']|self::hl7:code[(@code='18783-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-a476c075-e0f3-4443-8731-b2493ef9c619">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']])]"
         id="tmp-r-92a1846a-d21a-483b-af64-bacf1365fcba">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.14']|self::hl7:code[(@code='55107-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-c2593301-50d3-465b-8e6a-55cec85ad804">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/*[not(self::hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]])]"
         id="tmp-r-5ebb8d39-a3e0-42bd-bf38-3faa07dca5aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:section/*[not(self::hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-4c367537-d530-46d9-b5ce-29cbce525c21">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
