<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10006
Name: ELGA CDA Dokument eMedikation Abgabe
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10006-2013-12-16T000000">
   <title>ELGA CDA Dokument eMedikation Abgabe</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10006
Context: hl7:ClinicalDocument
Item: (CDAAbgabe)
-->

<rule context="hl7:ClinicalDocument"
         id="tmp-r-8d0d0dc9-04ed-4b29-846e-4e5042cc9e1b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDAAbgabe): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDAAbgabe): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDAAbgabe): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDAAbgabe): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDAAbgabe): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDAAbgabe): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.2.0.3']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAAbgabe): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:id)&lt;=1">(CDAAbgabe): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CDAAbgabe): Element hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CDAAbgabe): Element hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDAAbgabe): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:title)&lt;=1">(CDAAbgabe): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDAAbgabe): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAAbgabe): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDAAbgabe): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDAAbgabe): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDAAbgabe): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDAAbgabe): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDAAbgabe): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:setId)&lt;=1">(CDAAbgabe): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDAAbgabe): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDAAbgabe): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDAAbgabe): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDAAbgabe): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDAAbgabe): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDAAbgabe): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDAAbgabe): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:dataEnterer)=0">(CDAAbgabe): Element hl7:dataEnterer DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:informationRecipient)=0">(CDAAbgabe): Element hl7:informationRecipient DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:authenticator)=0">(CDAAbgabe): Element hl7:authenticator DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDAAbgabe): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDAAbgabe): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:participants)=0">(CDAAbgabe): Element hl7:participants DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:relatedDocument)=0">(CDAAbgabe): Element hl7:relatedDocument DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:inFulfillmentOf)=0">(CDAAbgabe): Element hl7:inFulfillmentOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:documentationOf)=0">(CDAAbgabe): Element hl7:documentationOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:authorization)=0">(CDAAbgabe): Element hl7:authorization DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="count(hl7:componentOf)=0">(CDAAbgabe): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-113e81a0-75ab-4cbb-ad77-f9af2128acda">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus dem Value Set ELGA_RealmCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-d0f6bf88-8957-4ac0-a6be-3901c256a4d0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-c599d3c8-b341-4500-9a7b-05a99a315b10">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']|self::hl7:templateId[@root='1.2.40.0.34.11.2.0.3']|self::hl7:id|self::hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:custodian|self::hl7:dataEnterer|self::hl7:informationRecipient|self::hl7:authenticator|self::hl7:legalAuthenticator|self::hl7:participants|self::hl7:relatedDocument|self::hl7:inFulfillmentOf|self::hl7:documentationOf|self::hl7:authorization|self::hl7:componentOf|self::hl7:component)]"
         id="tmp-r-8d0d0dc9-04ed-4b29-846e-4e5042cc9e1b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.10006-2013-12-16T000000.html"
              test="not(.)">(CDAAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/*[not(self::hl7:structuredBody)]"
         id="tmp-r-ce87e74d-eccd-464c-a935-561e1d8615a8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]])]"
         id="tmp-r-5e585de4-d080-44a2-a113-f2c56ce0f024">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']])]"
         id="tmp-r-0a4c63b8-a5af-48a5-80eb-ff13110d0e33">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.8']|self::hl7:id|self::hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]])]"
         id="tmp-r-6255d04b-1f15-46b8-a72d-f1f628b4d688">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/*[not(self::hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']])]"
         id="tmp-r-c2b09d8e-39e3-4cf8-a6cc-bd3edd6fa8c1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/*[not(self::hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.3']|self::hl7:code|self::hl7:text|self::hl7:quantity|self::hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]|self::hl7:performer|self::hl7:author|self::hl7:entryRelationship[@typeCode='REFR']|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]|self::hl7:entryRelationship[@typeCode='COMP'])]"
         id="tmp-r-ad863b3a-0bcf-4859-8dbf-03e2b72fa883">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:code/*[not(self::hl7:originalText)]"
         id="tmp-r-ca289359-b715-4697-945f-79b77985142a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-960ecbfe-26aa-4c9d-b1a7-6f94e5dc4c42">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/*[not(self::hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']])]"
         id="tmp-r-622e3746-64c7-4a75-b4c4-cc14ddf882df">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.53']|self::hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']])]"
         id="tmp-r-155465cf-cb19-4ef2-8ef1-aa39c69f9312">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.2.3.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']|self::hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6' or @nullFlavor]|self::hl7:name|self::pharm:formCode|self::pharm:asContent|self::pharm:ingredient)]"
         id="tmp-r-7de9fac2-ee1d-4ec7-98a0-ee6e73c943a9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6' or @nullFlavor]/*[not(self::hl7:originalText|self::hl7:translation)]"
         id="tmp-r-6ac94fe8-f14d-4820-87f9-ede458efaedd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/*[not(self::pharm:containerPackagedMedicine)]"
         id="tmp-r-920371c3-7dd8-482c-9fcd-fb4f085e5a13">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/*[not(self::pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6']|self::pharm:name|self::pharm:capacityQuantity)]"
         id="tmp-r-b7f2bea6-4225-442c-bc1e-48a2f3a1bf4b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6']/*[not(self::pharm:originalText)]"
         id="tmp-r-cdb52716-79dc-4025-8fb3-fa6332154dc0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/*[not(self::pharm:quantity|self::pharm:ingredient)]"
         id="tmp-r-107482d1-1ca0-491f-839a-8a24cf0ab4f8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/*[not(self::pharm:numerator|self::pharm:denominator)]"
         id="tmp-r-93919f6e-c29f-4a34-bc15-0a39e1edb03c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/*[not(self::pharm:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]|self::pharm:name)]"
         id="tmp-r-d56fcd5c-68f7-414f-85a8-201df3fd6ed6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]/*[not(self::pharm:originalText|self::pharm:translation)]"
         id="tmp-r-9d190951-28ef-49d9-b45b-1ef5f7259e39">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:performer/*[not(self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-e3ccc146-f3d4-4d85-b854-d1882ceeea24">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:performer/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-5e6a3375-7b82-4c56-90ea-abe690cc942c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-d2c60e59-5760-4b44-bab2-1a07abcca101">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-faae755b-3717-4675-8f97-fb9a61148087">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="tmp-r-80301d8c-fb17-4df9-9cfa-2a6c33ee7582">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:assignedAuthoringDevice|self::hl7:representedOrganization)]"
         id="tmp-r-945432be-df22-4889-9fff-c8c01b29a3f1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-7e6cb030-4b64-4f32-b938-e6068bfbbcf7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName|self::hl7:softwareName)]"
         id="tmp-r-248eb0af-a686-4406-943e-a4725c56b3c6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-a857d7fb-f752-414b-91e6-3d8c786cb85e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='REFR']/*[not(self::hl7:substanceAdministration)]"
         id="tmp-r-1d705f0a-dcb4-4514-9ebe-0d3d5cd4f80e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/*[not(self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.2']|self::hl7:consumable)]"
         id="tmp-r-f5546169-381f-452f-9fd4-651d0bfde717">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-1370805f-549e-4ae5-b105-ece232402edf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-0e949cfb-75d1-46ec-a0ee-6707b34fa562">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']])]"
         id="tmp-r-8c241aa0-2a5e-4931-aaeb-9f116921949d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']|self::hl7:code[(@code='PINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-89f2604c-1a76-4f02-8333-d4fe36e50fa0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-f41898b2-b92d-4274-8d99-b76852784d2c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']])]"
         id="tmp-r-bff9b67f-b7dd-446a-b3cb-c970be4ad288">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']|self::hl7:code[(@code='FINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-652f7707-7fd8-4805-8bbc-dafa40c77a75">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-70a49a34-09e1-48a5-9641-2b44301a4b37">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/*[not(self::hl7:substanceAdministration)]"
         id="tmp-r-837af468-943a-4eac-b71b-5c918d04be1d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/*[not(self::hl7:effectiveTime[1][hl7:low]|self::hl7:effectiveTime[1][hl7:width]|self::hl7:effectiveTime[hl7:period]|self::hl7:effectiveTime[2]|self::hl7:effectiveTime[hl7:comp]|self::hl7:effectiveTime[2]|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:routeCode|self::hl7:consumable|self::hl7:entryRelationship[@typeCode='COMP']|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]|self::hl7:entryRelationship|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-8ecffe93-c711-473a-abda-6f6304d60ac7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[1][hl7:low]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-1940c317-253c-4538-bd60-926d9866ed84">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[1][hl7:width]/*[not(self::hl7:width)]"
         id="tmp-r-c3813663-cf64-478f-9dc3-11a1ebccb3cb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:period]/*[not(self::hl7:period)]"
         id="tmp-r-ea6e8d0f-486e-42f5-9075-f7d9ed3bac73">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30007-2013-12-20T000000.html"
              test="not(.)">(Dosierung1): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/*[not(self::hl7:comp[hl7:period and not(hl7:phase)]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-6676f9e4-761b-4eec-9993-3fef9d76da88">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:period and not(hl7:phase)]/*[not(self::hl7:period)]"
         id="tmp-r-22ffe8b8-adc4-4158-af35-2ab4a7af15e4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-eb078742-9391-4d95-befb-fb2a852ea529">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-deba9baa-2ab5-455f-b3d0-34f7a58e8fc8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-3aeca387-d56c-4990-98ad-dafd5c35a011">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-c6725159-bb97-4368-9eea-f00b1f75f1fa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.10.1.4.3.4.1.1.2-2013-12-16T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-19f33551-4b08-417e-9284-a246108dbd53">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30040-2013-12-19T000000.html"
              test="not(.)">(Dosierung2er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS'])]"
         id="tmp-r-a4eba893-3f24-4f06-8ea9-64faa9bd7b2e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-1548dc6f-161e-4975-86eb-711ac495cbfa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-220f057d-0dc4-4d28-8b68-0ef23ffc8141">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-6e3fd1db-2819-4995-8c75-6d259ae4deed">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-95909b7d-9203-4bb8-bf25-255c47da39f0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-1128e8bf-7a25-467d-820b-d5483466e937">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-317d3f3a-71b6-4152-aa0b-4768049021f7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.2.40.0.34.11.30044-2013-12-19T000000.html"
              test="not(.)">(Dosierung4er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS'])]"
         id="tmp-r-6495154f-83b1-43bd-b28a-db6fd63f8f6f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-69d16ba1-1c2a-4bcc-bade-4d38a9b33f19">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-3bbf3ca8-23c3-4aed-b882-ca1c0a54f7a3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-7d30e98d-24bf-4fae-8f70-45b962c354c9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-cc4ff463-a270-4df2-9400-01c1c2405990">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.2' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/hl7:section/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/hl7:supply/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-276c39b0-3a26-4980-b72d-7a2fc425fc44">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140105T123843/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
